Package com.oracle.nosql.spring.data.core

# Class NosqlTemplateBase

java.lang.Object
com.oracle.nosql.spring.data.core.NosqlTemplateBase

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`

Direct Known Subclasses:
  `NosqlTemplate`, `ReactiveNosqlTemplate`

public abstract class NosqlTemplateBase extends Object implements org.springframework.context.ApplicationContextAware

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.springframework.context.ApplicationContext`
  `applicationContext`
  `static final String`
  `JSON_COLUMN`
  `protected static final org.slf4j.Logger`
  `LOG`
  `protected final MappingNosqlConverter`
  `mappingNosqlConverter`
  `protected final NoSQLHandle`
  `nosqlClient`
  `protected final NosqlDbFactory`
  `nosqlDbFactory`
  `protected oracle.nosql.driver.util.LruCache<String,PreparedStatement>`
  `psCache`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `NosqlTemplateBase(NosqlDbFactory nosqlDbFactory, MappingNosqlConverter mappingNosqlConverter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearPreparedStatementsCache()`
  Clears the cache of prepared statements.
  `protected boolean`
  `doCheckExistingTable(NosqlEntityInformation<?,?> entityInformation)`
  `protected boolean`
  `doCreateTable(NosqlEntityInformation<?,?> entityInformation)`
  `protected DeleteResult`
  `doDelete(NosqlEntityInformation<?,?> entityInformation, MapValue primaryKey)`
  `protected <T> Iterable<MapValue>`
  `doExecuteMapValueQuery(NosqlQuery query, NosqlEntityInformation<T,?> entityInformation)`
  `protected GetResult`
  `doGet(NosqlEntityInformation<?,?> entityInformation, MapValue primaryKey)`
  `protected TableResult`
  `doGetTable(NosqlEntityInformation<?,?> entityInformation)`
  `protected PutResult`
  `doPut(NosqlEntityInformation<?,?> entityInformation, MapValue row, boolean ifPresent)`
  `protected Iterable<MapValue>`
  `doRunQueryNosqlParams(NosqlEntityInformation<?,?> entityInformation, String query, Map<String,FieldValue> nosqlParams)`
  nosqlParams is a Map of param_name to FieldValue
  `protected TableResult`
  `doTableRequest(NosqlEntityInformation<?,?> entityInformation, TableRequest tableReq)`
  `protected void`
  `doUpdate(NosqlEntityInformation<?,?> entityInformation, MapValue row)`
  `protected String`
  `getCreateTableDDL(NosqlEntityInformation<?,?> entityInformation)`
  `void`
  `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JSON_COLUMN

    public static final String JSON_COLUMN
    See Also:
      - Constant Field Values

  - ### LOG

    protected static final org.slf4j.Logger LOG

  - ### nosqlDbFactory

    protected final NosqlDbFactory nosqlDbFactory

  - ### nosqlClient

    protected final NoSQLHandle nosqlClient

  - ### mappingNosqlConverter

    protected final MappingNosqlConverter mappingNosqlConverter

  - ### psCache

    protected oracle.nosql.driver.util.LruCache<String,PreparedStatement> psCache

  - ### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

- ## Constructor Details

  - ### NosqlTemplateBase

    protected NosqlTemplateBase(NosqlDbFactory nosqlDbFactory, MappingNosqlConverter mappingNosqlConverter)

- ## Method Details

  - ### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext) throws org.springframework.beans.BeansException
    Specified by:
      `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
    Throws:
      `org.springframework.beans.BeansException`

  - ### doTableRequest

    protected TableResult doTableRequest(NosqlEntityInformation<?,?> entityInformation, TableRequest tableReq)

  - ### getCreateTableDDL

    protected String getCreateTableDDL(NosqlEntityInformation<?,?> entityInformation)

  - ### doCreateTable

    protected boolean doCreateTable(NosqlEntityInformation<?,?> entityInformation)

  - ### doCheckExistingTable

    protected boolean doCheckExistingTable(NosqlEntityInformation<?,?> entityInformation)

  - ### doDelete

    protected DeleteResult doDelete(NosqlEntityInformation<?,?> entityInformation, MapValue primaryKey)

  - ### doPut

    protected PutResult doPut(NosqlEntityInformation<?,?> entityInformation, MapValue row, boolean ifPresent)

  - ### doGet

    protected GetResult doGet(NosqlEntityInformation<?,?> entityInformation, MapValue primaryKey)

  - ### doUpdate

    protected void doUpdate(NosqlEntityInformation<?,?> entityInformation, MapValue row)

  - ### doRunQueryNosqlParams

    protected Iterable<MapValue> doRunQueryNosqlParams(NosqlEntityInformation<?,?> entityInformation, String query, Map<String,FieldValue> nosqlParams)
    nosqlParams is a Map of param_name to FieldValue

  - ### doExecuteMapValueQuery

    protected <T> Iterable<MapValue> doExecuteMapValueQuery(NosqlQuery query, NosqlEntityInformation<T,?> entityInformation)

  - ### doGetTable

    protected TableResult doGetTable(NosqlEntityInformation<?,?> entityInformation)

  - ### clearPreparedStatementsCache

    public void clearPreparedStatementsCache()
    Clears the cache of prepared statements.